Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,8 @@
config BR2_PACKAGE_CHRONY
bool "chrony"
depends on BR2_USE_MMU # fork()
help
Chrony is a pair of programs which are used to maintain the
accuracy of the system clock.
http://chrony.tuxfamily.org/

View File

@@ -0,0 +1,26 @@
#!/bin/sh
#
# Start chrony
[ -f /etc/chrony.conf ] || exit 0
case "$1" in
start)
printf "Starting chrony: "
chronyd && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping chrony: "
killall chronyd && echo "OK" || echo "FAIL"
;;
restart|reload)
"$0" stop
sleep 1
"$0" start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,3 @@
# From http://listengine.tuxfamily.org/chrony.tuxfamily.org/chrony-announce/2016/01/msg00000.html
md5 ce46990540aab3670d093311ee43fe17 chrony-2.2.1.tar.gz
sha1 290b761478dc90d4921c98b7030ead07c49f2afd chrony-2.2.1.tar.gz

View File

@@ -0,0 +1,61 @@
################################################################################
#
# chrony
#
################################################################################
CHRONY_VERSION = 2.2.1
CHRONY_SITE = http://download.tuxfamily.org/chrony
CHRONY_LICENSE = GPLv2
CHRONY_LICENSE_FILES = COPYING
CHRONY_CONF_OPTS = \
--host-system=Linux \
--host-machine=$(BR2_ARCH) \
--prefix=/usr \
--without-seccomp \
--without-tomcrypt
ifeq ($(BR2_PACKAGE_LIBCAP),y)
CHRONY_DEPENDENCIES += libcap
else
CHRONY_CONF_OPTS += --without-libcap
endif
ifeq ($(BR2_PACKAGE_LIBNSS),y)
CHRONY_DEPENDENCIES += host-pkgconf libnss
else
CHRONY_CONF_OPTS += --without-nss
endif
ifeq ($(BR2_PACKAGE_READLINE),y)
CHRONY_DEPENDENCIES += readline
else
CHRONY_CONF_OPTS += --disable-readline
endif
define CHRONY_CONFIGURE_CMDS
cd $(@D) && $(TARGET_CONFIGURE_OPTS) ./configure $(CHRONY_CONF_OPTS)
endef
define CHRONY_BUILD_CMDS
$(TARGET_MAKE_ENV) $(MAKE) -C $(@D)
endef
define CHRONY_INSTALL_TARGET_CMDS
$(TARGET_MAKE_ENV) $(MAKE) -C $(@D) DESTDIR="$(TARGET_DIR)" install
endef
define CHRONY_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/chrony/S49chrony $(TARGET_DIR)/etc/init.d/S49chrony
endef
define CHRONY_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/chrony/chrony.service \
$(TARGET_DIR)/usr/lib/systemd/system/chrony.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -sf ../../../../usr/lib/systemd/system/chrony.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/chrony.service
endef
$(eval $(generic-package))

View File

@@ -0,0 +1,11 @@
[Unit]
Description=Chrony Network Time Daemon
After=syslog.target network.target
Conflicts=systemd-timesyncd.service
[Service]
ExecStart=/usr/bin/chronyd -n
Restart=always
[Install]
WantedBy=multi-user.target